Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1887550 - (very)minor: bug in blender.xml
Summary: (very)minor: bug in blender.xml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-12 19:05 UTC by customercare
Modified: 2021-09-24 20:15 UTC (History)
6 users (show)

Fixed In Version: blender-2.93.4-1.fc34 blender-2.93.4-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-13 03:41:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description customercare 2020-10-12 19:05:33 UTC
Description of problem:

2020-10-10T13:49:45Z INFO Wrong namespace on document element in '/usr/share/mime/packages/blender.xml' (should be http:
//www.freedesktop.org/standards/shared-mime-info)


Version-Release number of selected component (if applicable):


 1:2.83.5-5.fc31

Comment 1 Nicolas Chauvet (kwizart) 2020-10-19 12:44:57 UTC
Which tool produce such INFO ? If it's about switching from https to http, this is backward, so I'm going to close as WONTFIX.

Comment 2 customercare 2020-10-19 16:40:20 UTC
Good question. I'M sorry, i can't remember.

Comment 3 Nicolas Chauvet (kwizart) 2020-10-19 17:03:31 UTC
Ok, so closing as NOTABUG, as I've also tested that it's not appearing when running blender from a terminal.

Feel free to add a comment when you have the tool that write this.

Comment 4 Ian McInerney 2020-12-15 21:31:47 UTC
This is reported by DNF occasionally when doing a transaction. The standard specifically says to use the http:// url and not the https:// url, so this .xml file is violating the freedesktop MIME standard (https://specifications.freedesktop.org/shared-mime-info-spec/latest/ar01s02.html#idm45416155745936).

Comment 5 Luya Tshimbalanga 2020-12-18 08:33:42 UTC
It is case, it (In reply to Ian McInerney from comment #4)
> This is reported by DNF occasionally when doing a transaction. The standard
> specifically says to use the http:// url and not the https:// url, so this
> .xml file is violating the freedesktop MIME standard
> (https://specifications.freedesktop.org/shared-mime-info-spec/latest/ar01s02.
> html#idm45416155745936).

It is a bug from the freedesktop standard which should use https:// instead of http:// as redirected by their own link.

Comment 6 Ian McInerney 2021-07-07 15:45:01 UTC
> It is a bug from the freedesktop standard which should use https:// instead of http:// as redirected by their own link.

That doesn't matter. The standard explicitly calls for http:// not https://, so that is what files implementing it MUST use. This is a bug first and foremost in the downstream use of the standard.

Comment 7 Ian McInerney 2021-07-07 16:28:25 UTC
And it turns out that the shared-mime-info package is already providing the mime type information for Blender (https://gitlab.freedesktop.org/xdg/shared-mime-info/-/blob/47ca1dc530d356336ffe1b7a45dc5dc8f0e528ca/data/freedesktop.org.xml.in#L1537), and has been since 2013 - including translations and more extensions. So we shouldn't be including a downstream mime type file and instead just add a `Requires: shared-mime-info` to the package to get the mime info.

Comment 8 Fedora Update System 2021-09-03 15:30:22 UTC
FEDORA-2021-bff49c8757 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bff49c8757

Comment 9 Fedora Update System 2021-09-03 15:30:23 UTC
FEDORA-2021-352621155d has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-352621155d

Comment 10 Fedora Update System 2021-09-03 18:05:43 UTC
FEDORA-2021-bff49c8757 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bff49c8757`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bff49c8757

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-04 20:38:43 UTC
FEDORA-2021-352621155d has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-352621155d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-352621155d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-13 03:41:27 UTC
FEDORA-2021-352621155d has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-09-13 13:06:28 UTC
FEDORA-2021-352621155d has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-09-24 20:15:08 UTC
FEDORA-2021-bff49c8757 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.